Name: bonobo
Summary: CORBA-based component system
Version: 1.0.22
Release: 6
License: GPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.bz2
URL: http://www.gnome.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: gnome-libs >= 1:1.2.5
Requires: ORBit >= 1:0.5.12
Requires: oaf >= 0.5.1
Requires: libxml >= 1:1.8.16
BuildRequires: gnome-libs-devel >= 1.2.5 , ORBit-devel >= 0.5.12, oaf-devel >= 0.6.7, libxml-devel >= 1.8.16
BuildRequires: openjade, gtk+-devel, glib-devel, XFree86-devel
BuildRequires: gdk-pixbuf-devel, gnome-print-devel

%description
Bonobo is a component system based on CORBA. It's used by the GNOME desktop 
environment.

%package devel
Summary: Libraries and include files for the Bonobo document model.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
This package provides the necessary development libraries and include
files that allow you to develop programs using the Bonobo document
model.

%prep
%setup -q

%build
%configure
make LIBTOOL=/usr/bin/libtool

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall LIBTOOL=/usr/bin/libtool

# remove files from the build roots that we don't want
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/bonobo/monikers/*.{a,la}
rm -fr $RPM_BUILD_ROOT/%{_datadir}/gnome/bonobo/

%find_lang %name

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/bonobo
%{_libdir}/*.so.*
%{_datadir}/bonobo
%{_datadir}/idl
%{_datadir}/oaf/*.oaf*
%{_datadir}/gnome/ui/*


%files devel

%defattr(-, root, root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Mon Jun 23 2003 Havoc Pennington <hp@redhat.com> 1.0.22-6
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 1.0.22-4
- clean up filelist (#68226)

* Tue Jan 28 2003 Matt Wilson <msw@redhat.com> 1.0.22-3
- use LIBTOOL=/usr/bin/libtool

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.22

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- rebuild for gnome-config X11 libdir 

* Mon Oct 21 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.21
- clean up file lists to build with %%_unpackaged_files_terminate_build

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Apr 26 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.20

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.19

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- don't run automake or touch configure scripts

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.18

* Wed Dec 19 2001 Jeremy Katz <katzj@redhat.com>
- update to 1.0.17

* Tue Nov  6 2001 Jeremy Katz <katzj@redhat.com>
- update to 1.0.14

* Wed Oct 17 2001 Havoc Pennington <hp@redhat.com>
- 1.0.10.90 cvs snap

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- rebuild so bonoboxConf.sh will suck in the right cflags for gdk-pixbuf

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- rebuild in dist-7.2-gnome

* Wed Sep 19 2001 Havoc Pennington <hp@redhat.com>
- remove bizarre defattr and other file list breakage
  copied from Eazel package or something
- 1.0.8 cvs snap with headers moved

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 1.0.7-2
- Moved gnome-conf and pkgconfig files to the devel package
- Fixes SHOULD-FIX bug #49793

* Thu Jul 19 2001 Alexander Larsson <alexl@redhat.com>
- Added build dependencies for gdk-pixbuf-devel and
  gnome-print-devel.
- Updated to 1.0.7 from upstream. This fixes the bug we
  had a patch for, so I removed that patch. The final code
  will be the same, but it will be less confusing.

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't define release and name before the headers
- root, not bin, should own files
- s/Copyright/License/
- Add BuildRequires
- langify
- Move the .so files to the main package

* Tue Jul 03 2001 Havoc Pennington <hp@redhat.com>
- apply a memory corruption fix from CVS 

* Thu Jun 28 2001 Havoc Pennington <hp@redhat.com>
- 1.0.6

* Mon May 14 2001 Jonathan Blandford <jrb@redhat.com>
- touch configure temporarily as package has wrong timestamp.  Prolly
  can be removed in 12 hours.
- move %%changelog
- fix up broken %%post
- New version

* Thu Apr 19 2001 Jonathan Blandford <jrb@redhat.com>
- Import to RH build system

* Wed Oct 18 2000 Eskil Heyn Olsen <eskil@eazel.com>
- Added requirements to the base package
- Added bonobo-ui-extract to the file list of the base pacakge

* Tue Feb 22 2000 Jens Finke <jens.finke@informatik.uni-oldenburg.de>
- Added bonobo.h to the file list of devel package.

* Wed Nov 10 1999 Alexander Skwar <ASkwar@DigitalProjects.com>
- Updated to version 0.5
- fixed spec file
- Un-quiet things
- stripped binaries
- unsetted language environment variables

* Sat Oct 2 1999 Gregory McLean <gregm@comstar.net>
- Updated the spec for version 0.4
- Updated the files section.

* Sun Aug 1 1999 Gregory McLean <gregm@comstar.net>
- Some updates. sysconfdir stuff, quiet down the prep/configure stage.

* Sat May 1 1999 Erik Walthinsen <omega@cse.ogi.edu>
- created spec file
